View Issue Details

IDProjectCategoryView StatusLast Update
0026821PatchesWidgetsetpublic2014-10-28 08:59
ReporterBart BroersmaAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformarmOSWinCEOS VersionWM6.5 emulator
Product VersionProduct Build 
Target Version1.2.8Fixed in Version 
Summary0026821: FormResource TWinCEFileDialog not found for Open/Save dialog
DescriptionTrying to execute a TOpenDialog, TSaveDialog or derived dialog results in a "FormResource TWinCEFileDialog not found ..." error message.
Steps To ReproduceBuild attached sample project.
Run
Select a dialog type from radiogroup, click button1
Additional InformationTested some other dialogs as well:
    0: begin Caption := 'Open'; OpenDialog1.Execute; Caption := ''; end;
    //FormResource TWinCEFileDialog not found

    1: begin Caption := 'Save'; SaveDialog1.Execute; Caption := ''; end;
    //FormResource TWinCEFileDialog not found

    2: begin Caption := 'Dir'; SelectDirectoryDialog1.Execute; Caption := ''; end;
    //FormResource TWinCEFileDialog not found

    3: begin Caption := 'PicOpen'; OpenPictureDialog1.Execute; Caption := ''; end;
    //FormResource TWinCEFileDialog not found

    4: begin Caption := 'PicSave'; SavePictureDialog1.Execute; Caption := ''; end;
    //FormResource TWinCEFileDialog not found

    5: begin Caption := 'Font'; FontDialog1.Execute; Caption := ''; end;
    //No dialog shows up, cannot close app anymore

    6: begin Caption := 'Find'; FindDialog1.Execute; Caption := ''; end;
    //dialog hidden by RadioGroup

    7: begin Caption := 'Replace'; ReplaceDialog1.Execute; Caption := ''; end;
    //dialog hidden by RadioGroup

    8: begin Caption := 'Color'; ColorDialog1.Execute; Caption := ''; end;
    //No dialog shows up, cannot close app anymore

    9: begin Caption := 'Calc'; CalculatorDialog1.Execute; Caption := ''; end;
    //Shows correctly

    10: begin Caption := 'Calendar'; CalendarDialog1.Execute; Caption := ''; end;
    //WMSizeLoop detected
Tagspatch
Fixed in Revisionr46688
LazTarget1.2.8
WidgetsetWinCE
Attached Files
  • wincetest.zip (3,830 bytes)
  • wince.diff (400 bytes)
    Index: lcl/interfaces/wince/wincewsdialogs.pp
    ===================================================================
    --- lcl/interfaces/wince/wincewsdialogs.pp	(revision 46593)
    +++ lcl/interfaces/wince/wincewsdialogs.pp	(working copy)
    @@ -145,7 +145,7 @@
     var
       AImage: TPortableNetworkGraphic;
     begin
    -  inherited Create(AOwner);
    +  inherited CreateNew(AOwner,1);
     
       LCLDialog := ALCLDialog;
     
    
    wince.diff (400 bytes)

Activities

Bart Broersma

2014-10-05 01:02

developer  

wincetest.zip (3,830 bytes)

Bart Broersma

2014-10-22 14:35

developer  

wince.diff (400 bytes)
Index: lcl/interfaces/wince/wincewsdialogs.pp
===================================================================
--- lcl/interfaces/wince/wincewsdialogs.pp	(revision 46593)
+++ lcl/interfaces/wince/wincewsdialogs.pp	(working copy)
@@ -145,7 +145,7 @@
 var
   AImage: TPortableNetworkGraphic;
 begin
-  inherited Create(AOwner);
+  inherited CreateNew(AOwner,1);
 
   LCLDialog := ALCLDialog;
 
wince.diff (400 bytes)

Bart Broersma

2014-10-22 14:36

developer   ~0078518

Possible patch attached.
Can someone familiar with WinCE WS review?

Stephano

2014-10-22 16:11

developer   ~0078521

A quick test of the patch did not show the error message.

Why did you use CreateNew(AOwner, 1) instead of just CreateNew(AOwner) especially that the 2ns param defaults to 0 and is just a dummy anyway?

Bart Broersma

2014-10-27 19:00

developer   ~0078659

Committed after review from Felipe.

Issue History

Date Modified Username Field Change
2014-10-05 01:02 Bart Broersma New Issue
2014-10-05 01:02 Bart Broersma File Added: wincetest.zip
2014-10-22 14:35 Bart Broersma File Added: wince.diff
2014-10-22 14:36 Bart Broersma Note Added: 0078518
2014-10-22 14:36 Bart Broersma Project Lazarus => Patches
2014-10-22 14:37 Bart Broersma Tag Attached: patch
2014-10-22 14:37 Bart Broersma LazTarget - => 1.2.8
2014-10-22 14:37 Bart Broersma Target Version => 1.2.8
2014-10-22 16:11 Stephano Note Added: 0078521
2014-10-27 19:00 Bart Broersma Fixed in Revision => r46688
2014-10-27 19:00 Bart Broersma Note Added: 0078659
2014-10-27 19:00 Bart Broersma Status new => resolved
2014-10-27 19:00 Bart Broersma Resolution open => fixed
2014-10-27 19:00 Bart Broersma Assigned To => Bart Broersma
2014-10-27 22:35 Bart Broersma Status resolved => closed